package com.example.sessiontest;

import com.vaadin.Application;
import com.vaadin.ui.Button;
import com.vaadin.ui.Label;
import com.vaadin.ui.Window;
import com.vaadin.ui.Button.ClickEvent;

public class SessiontestApplication extends Application {
	private static final long serialVersionUID = 1L;

	private int clickCount = 0;
	private Label label = null;
	
	@Override
	public void init() {
		Window mainWindow = new Window("Sessiontest Application");
		label = new Label("Button was clicked " + clickCount + " times.");
		
		Button button = new Button("Click me!");
		button.addListener(new Button.ClickListener() {
			private static final long serialVersionUID = 5410712928750028134L;

			@Override
			public void buttonClick(ClickEvent event) {
				clickCount++;
				label.setValue("Button was clicked " + clickCount + " times.");
				
			}
		});
		
		
		mainWindow.addComponent(label);
		mainWindow.addComponent(button);
		setMainWindow(mainWindow);
	}

}
